# Uses of Class
org.eclipse.birt.report.model.api.DesignConfig

Packages that use DesignConfig
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl

## Uses of DesignConfig in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api with parameters of type DesignConfig
Modifier and Type
Method
Description
`IDesignEngine`
IDesignEngineFactory.`createDesignEngine(DesignConfig config)`
Creates a new design engine object.
Constructors in org.eclipse.birt.report.model.api with parameters of type DesignConfig
Modifier
Constructor
Description
``
`DesignEngine(DesignConfig config)`
Constructs a DesignEngine with the given platform config.

## Uses of DesignConfig in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type DesignConfig
Modifier and Type
Method
Description
`IDesignEngine`
DesignEngineFactory.`createDesignEngine(DesignConfig config)`
Constructors in org.eclipse.birt.report.model.api.impl with parameters of type DesignConfig
Modifier
Constructor
Description
``
`DesignEngineImpl(DesignConfig config)`
Constructs a DesignEngine with the given platform config.